/**
 *        Copyright (c) 1993-2006 IONA Technologies PLC.
 *                       All Rights Reserved.
 */

package demo.asset.server;

import javax.xml.ws.Endpoint;

public class Server {

    protected Server(String dbLocation) throws Exception {
        System.out.println("Starting Server");

        Object implementor = new CompanyAssetImpl(dbLocation);
        String address = "http://localhost:9900/CompanyAssetPort";
        Endpoint.publish(address, implementor);
    }

    public static void main(String args[]) throws Exception {
        // The first argument is used as the database directory location.
        String dbLocation = null;
        if (args.length >= 1) {
            dbLocation = args[0];
        }
        new Server(dbLocation);
        System.out.println("Server ready...");
    }
}
