/**
 *        Copyright (c) 1993-2006 IONA Technologies PLC.
 *                       All Rights Reserved.
 */

package demo.location.client;

import java.io.File;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import javax.xml.namespace.QName;
import com.iona.location_types.Location;
import com.iona.location_service.GetLocationsService;
import com.iona.location_service.GetLocationsPortType;

public final class GetClient {

    private static final QName SERVICE_NAME 
        = new QName("http://iona.com/location_service", "GetLocationsService");

    private GetClient() {
    } 

    public static void main(String args[]) throws Exception {
        
        if (args.length == 0) { 
            System.out.println("please specify wsdl");
            System.exit(1); 
        }

        URL wsdlURL;
        File wsdlFile = new File(args[0]);
        if (wsdlFile.exists()) {
            wsdlURL = wsdlFile.toURL();
        } else {
            wsdlURL = new URL(args[0]);
        }
        
        System.out.println(wsdlURL);
        GetLocationsService ls = new GetLocationsService(wsdlURL, SERVICE_NAME);
        GetLocationsPortType port = ls.getGetLocationsPort();

        List<Location> locations = port.getLocations();
        System.out.println("Locations: " + locations.size() + " " + locations);
        
        System.exit(0); 
    }

}
